<app-header [modeEditPhotoProfile]="true" [photo]="photoUser" ></app-header>

<ion-content>
  <app-body-header>
    <ion-icon name="person"></ion-icon>
  </app-body-header>

  <ion-grid>
    <ion-row class="info ion-margin-vertical">
      <ion-label>{{ strUserName }}</ion-label>
      <p>Último acesso em {{ strLastSession }}</p>
    </ion-row>

    <ion-item class="password">
      <ion-label>
        <p>Nova Senha</p>
      </ion-label>
      <ion-input
        [(ngModel)]="user.senha"
        clear-input
        [type]="boolShowNewPassword ? 'text' : 'password'"
        id="myInput"
        placeholder="Senha"
      >
      </ion-input>

      <ion-button
        slot="end"
        (click)="boolShowNewPassword = !boolShowNewPassword"
      >
        <ion-icon
          color="primary"
          [name]="boolShowNewPassword ? 'eye-off-outline' : 'eye-outline'"
        ></ion-icon>
      </ion-button>
    </ion-item>

    <ion-item class="password ion-margin-vertical">
      <ion-label>
        <p>Confirma</p>
      </ion-label>
      <ion-input
        [(ngModel)]="user.senha_confirma"
        clear-input
        [type]="boolShowPassword ? 'text' : 'password'"
        id="myInput"
        placeholder="Senha"
      >
      </ion-input>

      <ion-button slot="end" (click)="boolShowPassword = !boolShowPassword">
        <ion-icon
          color="primary"
          [name]="boolShowPassword ? 'eye-off-outline' : 'eye-outline'"
        ></ion-icon>
      </ion-button>
    </ion-item>

    <ion-row
      class="biometria"
      *ngIf="fingerprintIsAvailable"
      (click)="changeIonToggleBiometricAccess()"
    >
      <ion-toggle
        color="success"
        [checked]="isEnabledBiometricAccess"
        id="ionToggleBiometricAccess"
      ></ion-toggle>
      <ion-label>Acesso Biometria</ion-label>
    </ion-row>
  </ion-grid>

  <ion-footer class="key-input">
    <ion-row>
      <ion-col size="2" class="colKey">
        <ion-icon name="key"></ion-icon>
      </ion-col>
      <ion-col size="8">
        <ion-input
          [(ngModel)]="user.senha_atual"
          [type]="'password'"
        ></ion-input>
      </ion-col>
      <ion-col (click)="updatePassword()" size="2" class="colCheckmark">
        <ion-icon name="checkmark"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-footer>
</ion-content>

<app-footer></app-footer>
